<template>
    <div id="container">
        <div class="cursor-follower">
            <div class="cursor-follower-inner"></div>
        </div>
        <Header />
        <Intro />
        <Resume />
        <Skills />
        <Languages />
        <Experience />
        <Education />
        <Interests />
        <Lines />
    </div>
</template>

<script>
import Header from '~/components/header'
import Intro from '~/components/intro'
import Resume from '~/components/resume'
import Skills from '~/components/skills'
import Languages from '~/components/languages'
import Experience from '~/components/experience'
import Education from '~/components/education'
import Interests from '~/components/interests'
import Lines from '~/components/lines'
export default {
    components: {
        Header, Intro, Resume, Skills, Languages, Experience, Education, Interests, Lines
    },
    jsonld() {
        return {
            "@context": "http://schema.org",
            "@type": "Person",
            "email": "kruljac.ivana@gmail.com",
            "image": `${process.env.SITE_URL}/img/ivana-theme.jpg`,
            "jobTitle": "Full Stack Web Developer",
            "name": "Ivana Kruljac",
            "gender": "female",
            "memberOf": "Milky Way Galaxy",
            "nationality": "planet Earth"
        }
    },
    head() {
        return {
            title: 'Ivana Kruljac | Full Stack Web Developer',
            bodyAttrs: {
                class: 'body-ivana'
            },
            meta: [
                {
                    hid: 'og:site_name',
                    property: 'og:site_name',
                    content: 'Ivana Kruljac | Full Stack Web Developer'
                },
                {
                    hid: 'description',
                    name: 'description',
                    content: 'Ivana Kruljac ⯈ Full Stack Web Developer ✓ Frontend skills ✓ Node.js ✓ Wordpress ✓ Vue.js ✓ mongoDB ✓'
                },
                {
                    hid: 'og:title',
                    property: 'og:title',
                    content: 'Ivana Kruljac | Full Stack Web Developer'
                },
                {
                    hid: 'og:description',
                    property: 'og:description',
                    content: 'Ivana Kruljac ⯈ Full Stack Web Developer ✓ Frontend skills ✓ Node.js ✓ Wordpress ✓ Vue.js ✓ mongoDB ✓'
                },
                {
                    hid: 'og:image',
                    property: 'og:image',
                    content: `${process.env.SITE_URL}/img/ivana-theme.jpg`
                },
                {
                    hid: 'og:image:secure_url',
                    property: 'og:image:secure_url',
                    content: `${process.env.SITE_URL}/img/ivana-theme.jpg`
                },
                {
                    hid: 'twitter:card',
                    property: 'twitter:card',
                    content: 'summary'
                },
                {
                    hid: 'twitter:title',
                    property: 'twitter:title',
                    content: 'Ivana Kruljac | Full Stack Web Developer'
                },
                {
                    hid: 'twitter:description',
                    property: 'twitter:description',
                    content: 'Ivana Kruljac ⯈ Full Stack Web Developer ✓ Frontend skills ✓ Node.js ✓ Wordpress ✓ Vue.js ✓ mongoDB ✓'
                },
                {
                    hid: 'twitter:image',
                    property: 'twitter:image',
                    content: `${process.env.SITE_URL}/img/ivana-theme.jpg`
                }
            ]
        }
    }
}
</script>
